Skip to main content
POST
/
v1
/
campaigns
/
{campaignId}
/
senders
Add Senders to Campaign
curl --request POST \
  --url https://app-api.walead.ai/api/v1/campaigns/{campaignId}/senders \
  --header 'Content-Type: application/json' \
  --header 'x-api-key: <api-key>' \
  --data '
{
  "accountIds": [
    "<string>"
  ]
}
'
import requests

url = "https://app-api.walead.ai/api/v1/campaigns/{campaignId}/senders"

payload = { "accountIds": ["<string>"] }
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({accountIds: ['<string>']})
};

fetch('https://app-api.walead.ai/api/v1/campaigns/{campaignId}/senders', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "success": true,
  "message": "<string>"
}
{
"statusCode": 123,
"message": "<string>"
}
{
"statusCode": 123,
"message": "<string>"
}
{
"statusCode": 123,
"message": "<string>"
}

Overview

Adds one or more LinkedIn accounts (senders) to a campaign. Leads will be distributed among all assigned accounts for sending connection requests and messages.

Requirements

  • LinkedIn accounts must belong to your workspace
  • Accounts must be properly authenticated and active
  • Account IDs must be valid

Use Cases

  • Assign multiple LinkedIn accounts to scale your outreach
  • Add new accounts to an existing campaign
  • Configure sender rotation for better deliverability

Authorizations

x-api-key
string
header
required

API key for authentication. Generate from your WaLead dashboard.

Path Parameters

campaignId
string
required

Campaign ID

Body

application/json

Account IDs to add as senders

accountIds
string[]
required

Array of LinkedIn account IDs to add as senders

Response

Senders added successfully

success
boolean
message
string